#17823 closed Bugs (Fixed)

Dolby Atmos not passing thru correctly

Reported by: dawsonjw Owned by: peak3d
Priority: 4 - Normal
Component: Audio playback (audio/video files) Version: 18.0 "Leia" Alpha1
Severity: Normal Keywords:
Cc: Blocked By:
Blocking: Platform: All

Description

Since installing V18 Alpha 1 I have noticed that Dolby ATmos does not seem to pass thru correctly. There is sound there but my reciever no longer sees the outputted signal as Atmos. This worked OK on V17.6.

I have checked all pass-thru setting within Kodi and they are set correctly

cheers

John

Change History (38)

comment:1 Changed at 2018-03-25T09:49:20+01:00 by fritsch

  • Resolution set to Can not replicate
  • Status changed from new to closed

comment:2 Changed at 2018-03-29T02:34:51+01:00 by dawsonjw

Hi,

upon further checking the kodi information dialogue shows file as 7.1 but receiver show output from kodi as 5.1 Is there anything else I can submit that would help you

cheers

John

comment:3 Changed at 2018-03-29T05:37:29+01:00 by fritsch

Start with your debuglog. Nothing from your system, zero, is known yet.

comment:4 Changed at 2018-03-29T22:35:06+01:00 by dawsonjw

Hi,

thanks for your help. The log file is http://ix.io/14f1. On of the files that shows the problem is Dracula. As mentioned before the file is Dolby Atmos 7.1 but Kodi seems to output as Dolby 5.1. I hope this helps.

If you need anything else please let me know

cheers

John

comment:5 Changed at 2018-03-30T06:26:29+01:00 by fritsch

08:06:58.568 T:18446744072289289400  NOTICE: Float is supported
08:06:58.568 T:18446744072289289400  NOTICE: AML device detected
08:06:58.685 T:18446744072289289400   DEBUG: Firmware implements AC3 RAW
08:06:58.748 T:18446744072289289400   DEBUG: Firmware implements EAC3 RAW
08:06:58.809 T:18446744072289289400   DEBUG: Firmware implements DTS RAW
08:06:58.809 T:18446744072289289400  NOTICE: Found 1 Lists of Devices
08:06:58.809 T:18446744072289289400  NOTICE: Enumerated AUDIOTRACK devices:
08:06:58.809 T:18446744072289289400  NOTICE:     Device 1
08:06:58.809 T:18446744072289289400  NOTICE:         m_deviceName      : AudioTrack
08:06:58.809 T:18446744072289289400  NOTICE:         m_displayName     : android
08:06:58.810 T:18446744072289289400  NOTICE:         m_displayNameExtra: audiotrack
08:06:58.810 T:18446744072289289400  NOTICE:         m_deviceType      : AE_DEVTYPE_HDMI
08:06:58.810 T:18446744072289289400  NOTICE:         m_channels        : FL, FR, FC, LFE, SL, SR, BL, BR, BC, BLOC, BROC
08:06:58.810 T:18446744072289289400  NOTICE:         m_sampleRates     : 48000,44100,48000
08:06:58.810 T:18446744072289289400  NOTICE:         m_dataFormats     : AE_FMT_S16LE,AE_FMT_FLOAT,AE_FMT_RAW
08:06:58.810 T:18446744072289289400  NOTICE:         m_streamTypes     : STREAM_TYPE_AC3,STREAM_TYPE_EAC3,STREAM_TYPE_DTSHD_CORE,STREAM_TYPE_DTS_1024,STREAM_TYPE_DTS_2048,STREAM_TYPE_DTS_512

Firmware bug: https://forum.kodi.tv/showthread.php?tid=289735

Post a debuglog with kodi 17.6 - AudioTrack did not change since then. Most likely you got a firmware update?

The issues is: m_sampleRates : 48000,44100,48000 <- your device does not support 192 khz and without that TrueHD won't work.

If you cannot solve it on your side, set speakers to 2.0 and enable AC3 Transcoding as well as AC3.

comment:6 Changed at 2018-03-30T07:42:10+01:00 by fritsch

After the test and debuglog with 17.6, upgrade to http://mirrors.kodi.tv/test-builds/android/arm/kodi-20180330-6933fecc-audiotracktest-armeabi-v7a.apk and give me a another debuglog with that one, please.

comment:7 Changed at 2018-04-03T07:41:46+01:00 by dawsonjw

Hi

Sorry to take so long to get back to you. The 1645 file has 17.6. The Drakula file plays and shows as ATMOS on the receiver. I did however notice that in the audio setup for 17.6 there are quite a number of extra audio options like E-AC3, TrueHD and DTS-HD which you can turn on and off. These are all switched on.

In V18 (your test version, log file 164F) even with expert mode enabled these options don’t show in Estuary. File is not shown as ATMOS by receiver.

I hope this helps

John

http://ix.io/1645

http://ix.io/164f

comment:8 Changed at 2018-04-03T17:48:40+01:00 by fritsch

Not too funny.

If http://jenkins.kodi.tv/job/Android-ARM/9251/ succeeds, please download the file with "audiotrackpt3" in name and give that one a test.

It seems there was a libjni change.

comment:9 Changed at 2018-04-03T18:57:11+01:00 by fritsch

Found it - what a mess. I will post another build shortly.

comment:11 Changed at 2018-04-04T01:09:40+01:00 by dawsonjw

Hi,

thanks for that patch. ATMOS now seems to work fine. Tested on 5 or so files I have here including Blade Runner (in log file) all work OK however some DTS files that where working don't anymore. The receiver is unable to sync the HDMI port on these files. An example is Buddy Holly which wont sync (it's in the log) but other different formats do work OK.

Seems like something broke in the fix

Log is http://ix.io/16ll

cheers

John

comment:12 Changed at 2018-04-04T08:12:37+01:00 by fritsch

No change was done for DTS - not at all. So whatever it did - it did not work before either. This change only affects DTS_HD and TrueHD (e.g. Atmos).

comment:13 Changed at 2018-04-04T08:13:39+01:00 by fritsch

I see your issue. Just disable DTS-HD in the settings. Your issue is not with DTS, but DTS-HD.

comment:14 Changed at 2018-04-04T22:56:04+01:00 by dawsonjw

Hi,

what doesn't make sense though is that all formats other than ATMOS where working in V18 Alpha 1. Now in the test version ATMOS works but not DTS-HD. Did you want any further log files. Oh not to state the obvious I hope... I am only talking bout the audio of these movies, the video component works fine.

cheers

John

comment:15 Changed at 2018-04-05T07:12:14+01:00 by fritsch

  • Resolution Can not replicate deleted
  • Status changed from closed to reopened

Okay - then I will reassign this bug as there was zero change in the code I maintain, namely AESinkAudioTrack. Changes were done in NDK / Compiler / libandroidjni.

One issue I already pointed out and send a PR. No idea what changed in regards to DTS-HD - as we did not change a single thing in Audio-Engine.

comment:16 Changed at 2018-04-05T07:12:29+01:00 by fritsch

  • Owner changed from fritsch to peak3d
  • Status changed from reopened to assigned

comment:18 Changed at 2018-04-05T12:15:33+01:00 by peak3d

@dawsonjw can you pls. provide 2 log files both with kodi 18 (1 with and one without the patch from @fritsch):

1.) One with working DTS-HD (version without patch)

2.) One with not working DTS-HD (version with patch)

Please use the same movie, and in the log file please play only exactly 1 (!!) movie.

Last edited at 2018-04-05T13:32:07+01:00 by peak3d (previous) (diff)

comment:19 Changed at 2018-04-06T03:36:25+01:00 by dawsonjw

Hi,

is the log file uploader broken. Trying to upload logfile with the app and the reference it is giving is not my log file???? It was working the other day??

cheers

john

comment:20 Changed at 2018-04-06T07:27:10+01:00 by dawsonjw

Hi,

kept trying and its working again. Anyway here are the two logs for the Buddy Holly Story

This is the one with the audio working.

http://ix.io/171s

This is the one with the audio broken.

http://ix.io/171y

I hope this helps

cheers

John

comment:21 Changed at 2018-04-07T14:32:31+01:00 by fritsch

The working log plays it as DTS (48 khz / 2 channels), the non working log plays it as DTS-HD (8 channels / 192 khz). So not a good comparison at all.

Please provide a log with version 17.6 that succesfully plays the stream with DTS-HD enabled.

comment:22 Changed at 2018-04-08T00:11:20+01:00 by dawsonjw

Hi,

just looking at the results with Kodi 18 A1 without the patch, Kodi says on info screen file is DTS-HD 5.1. It plays with working audio and receiver sees at as DTS 5.1 48khz and windows application Mediainfo sees it as DTS MA/Core 48Khz 6 channel. Your saying from the log Kodi sees it as DTS 2 channel 48khz. Strange.

The patched version shows video only no audio at all....

I'll get the log for 17.6 for you soon. Is there an easier way to load and old version of kodi without deleting the whole setup on android? Installer wont allow me to install 17.6 over 18.....

cheers

john

Last edited at 2018-04-08T00:28:19+01:00 by dawsonjw (previous) (diff)

comment:23 Changed at 2018-04-08T08:52:14+01:00 by fritsch

There is nothing strange about that at all.

DTS is a virtual compressed format. It is sent as 2 channels / 48 khz 16 bit while the payload. This compressed stream is then uncompressed by the AVR to 5.1 channels.

In kodi dts-hd is sent as 192 khz / 8 channels / 16 bit and dts is sent as 48 or 44.1 khz / 2 channels / 16 bit. What is really funny that TrueHD works for you, which is sent also 192 / 8 / 16.

There is sadly no other easy way for downgrade to my knowledge.

comment:24 Changed at 2018-04-11T02:51:31+01:00 by dawsonjw

Hi,

ok I have the 17.6 log file for you. Receiver shows it as DTS Master-HD 5.1 ch 48kHz. Plays with good video and audio.

Log file is

https://paste.kodi.tv/parilevina

cheers

John

comment:25 Changed at 2018-04-11T05:15:04+01:00 by fritsch

Okay - I see it:

NOTICE: Trying to open: 192000 samplerate 12 channelMask 9 encoding <- non working
NOTICE: Trying to open: 192000 samplerate 12 channelMask 10 encoding <- working

it's the defined JNI flag - it was ten before (working) and now it's not working

Let's test something

Last edited at 2018-04-11T05:19:29+01:00 by fritsch (previous) (diff)

comment:26 Changed at 2018-04-11T05:18:45+01:00 by fritsch

A new file from today will appear here: http://mirrors.kodi.tv/test-builds/android/arm/ -< please try that one (it's not yet up, so carefully check the date). It will have androidpt3 in name.

comment:27 Changed at 2018-04-11T23:35:24+01:00 by dawsonjw

Howdy,

installed the test version and ran movie The Buddy Holly Story. As before the video is fine but no audio. I have attached log file.

http://paste.kodi.tv/lenovexata

Oh, ATMOS is still working in this version as well.

cheers

John

comment:28 Changed at 2018-04-12T05:15:47+01:00 by fritsch

NOTICE: Trying to open: 192000 samplerate 12 channelMask 9 encoding

yeah, still wrong. Next build currently building. Thanks AMLogic for your own standards totally against Android defaults ...

comment:29 Changed at 2018-04-12T05:28:27+01:00 by dawsonjw

Ahh, life wasn't meant to be easy. Let me know when you have the next silver bullet

cheers

John

comment:30 Changed at 2018-04-12T05:30:56+01:00 by fritsch

Good thing: we have a choice. I will plain remove the non standard hacks after v18 :-)

comment:31 Changed at 2018-04-12T06:40:04+01:00 by dawsonjw

Oh, not sure if this is related but noticed the while playing music tracks a lot of tracks quit while playing and jump to the next track. Kind of like someone pressed skip. If you go back and replay the track it will finish normally. I have attached a log if it helps

http://paste.kodi.tv/venawegamu

cheers

John

Last edited at 2018-04-12T06:50:35+01:00 by dawsonjw (previous) (diff)

comment:32 Changed at 2018-04-12T12:31:36+01:00 by fritsch

No - totally not related. Android is in general not maintained anymore ... open a new bug for that one and hope for the best.

Did my latest version work for DTS-HD?

comment:33 Changed at 2018-04-12T12:58:03+01:00 by dawsonjw

Hi,

sorry I didnt realise you had placed another version up. Up just tested with every type of DTS, Dolby, PCM file I could fine and they all work perfectly. Thanks for that, I really appreciate your efforts.

Should I keep using this version or will these changes make the nightly version soon, as I am not sure how you guys work this?

cheers

John

comment:34 Changed at 2018-04-12T12:59:05+01:00 by fritsch

I will push them now.

comment:35 Changed at 2018-04-12T13:27:12+01:00 by dawsonjw

Doh.. Just fiddling with some older AVI files and they now crash. In fact they don't seem to load at all. Have tested the files and they play from the NAS under windows just fine, so they are not corrupt. Hopefully the log says something

http://paste.kodi.tv/aripihonop

cheers

john

comment:36 Changed at 2018-04-12T13:27:51+01:00 by dawsonjw

oh file is The Farmer's Wife

comment:37 Changed at 2018-04-12T14:21:19+01:00 by fritsch

  • Resolution set to Fixed
  • Status changed from assigned to closed

Not related at all - please. I am not your personal supporter for problems you find anywhere. Your log tells that your Texture.db is totally corrupted. Start with a clean .kodi directory, please.

comment:38 Changed at 2018-04-12T14:44:42+01:00 by dawsonjw

Sorry. Just thought it was related.

Thanks again

Note: See TracTickets for help on using tickets.